Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class RLFactType

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.datamodel.ModelComponent
oracle.rules.sdk.editor.datamodel.FactType
oracle.rules.sdk.editor.datamodel.RLFactType`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class RLFactType
extends FactType

Represent a RL fact type.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_PROPERTY_TABLE`
`static java.lang.String` | `PROP_SUPER_CLASS`
`static java.lang.String` | `PROP_SUPPORT_XPATH`

Fields inherited from class oracle.rules.sdk.editor.datamodel.FactType
`BOOLEAN, BYTE, CHAR, DOUBLE, FLOAT, FORMS, INT, JAVA, JAXB, LONG, PRIMITIVE, PROP_FORM, RL, SHORT, STRING, VOID`

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`m_dm, m_parent, PROP_ALIAS, PROP_ID, PROP_NAME, PROP_PROPERTIES, PROP_VISIBLE`

Method Summary
`PropertyTable` | `getPropertyTable()` Get properties of the RL class
`Property[]` | `getRLProperties()` Get all the properties inside the RL fact type
`java.lang.String` | `getRuleSetName()` Get the ruleset name of the fact type.
`java.lang.String` | `getSuperClass()` Get the super class of the current class.
`boolean` | `getSupportXPath()` Whether the RL class can be used in a XPath Expression
`void` | `setSupportXPath(boolean supportXPath)` Set the flag indicating whether the RL class can be used in a XPath Expression
`void` | `validate()` validate consistency of the RL Fact Type definition

Methods inherited from class oracle.rules.sdk.editor.datamodel.FactType
`getForm, getFormOptions, setForm`

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`get, getAlias, getDataModel, getID, getName, getParent, getProperties, getVisible, setAlias, setName, setVisible`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PROP_SUPER_CLASS

    public static final java.lang.String PROP_SUPER_CLASS

  See Also:
    Constant Field Values

### PROP_PROPERTY_TABLE

    public static final java.lang.String PROP_PROPERTY_TABLE

  See Also:
    Constant Field Values

### PROP_SUPPORT_XPATH

    public static final java.lang.String PROP_SUPPORT_XPATH

  See Also:
    Constant Field Values

Method Detail

### getRuleSetName

    public java.lang.String getRuleSetName()

  Get the ruleset name of the fact type.
  Returns:
    ruleset name for RL fact type

### getSuperClass

    public java.lang.String getSuperClass()

  Get the super class of the current class. Could be a Java Class.
  Returns:
    the super class of the current RL class

### getPropertyTable

    public PropertyTable getPropertyTable()

  Get properties of the RL class
  Returns:
    the properties of the RL class

### getRLProperties

    public Property[] getRLProperties()

  Get all the properties inside the RL fact type
  Returns:
    all the properties inside the RL fact type as an Array

### getSupportXPath

    public boolean getSupportXPath()

  Whether the RL class can be used in a XPath Expression
  Returns:
    true if the RL fact can be used in the XPath expressions

### setSupportXPath

    public void setSupportXPath(boolean supportXPath)

  Set the flag indicating whether the RL class can be used in a XPath Expression
  Parameters:
    `supportXPath` - flag to indicate whether the RL class can be used in a XPath Expression

### validate

    public void validate()
                  throws RulesSDKDMValidationException

  validate consistency of the RL Fact Type definition
  Overrides:
    `validate` in class `ModelComponent`
  Throws:
    `thrown` - if validation fails.
    `RulesSDKDMValidationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.